明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 579|回复: 3

[OpenDCL] 如何设置control bars启动时靠右停靠

[复制链接]
发表于 2015-10-21 18:08 | 显示全部楼层 |阅读模式
设置了允许左右边停靠
但程序启动时只能左边停靠
鼠标拖动可以右边停靠
但关闭后再打开
又自动成了左边停靠

请教
如何能启动时自动右边停靠?
 楼主| 发表于 2015-10-21 21:17 | 显示全部楼层
本帖最后由 masterlong 于 2015-10-23 22:37 编辑

再请教一个问题

control bars激活的情况下
无法执行vlax-ldata-put函数

(vlax-ldata-put "1" "2" 3)
提示错误————无法创建词典: "1"

(vlax-ldata-put (*ent2obj* (entlast)) "2" 3)
提示错误————无法创建词典: 1971167880

有没有办法突破这个限制?

临时采用的是一个比较挫的方法
(defun c:预设列表已保存!()
   (vlax-ldata-put "1" "2" 3)
(princ)
)
(defun c:ystm/ystm#OnMouseMovedOff (/)
    (vla-sendcommand *doc* "预设列表已保存! ")
)

发表于 2017-10-4 21:22 | 显示全部楼层
不知道你说的啥,请说清楚一点,是说odcl里面的停靠非模态对话框吗
 楼主| 发表于 2017-11-2 22:09 | 显示全部楼层
标题难道还不够清楚吗?

——————如何设置control bars启动时靠右停靠
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-4-27 01:03 , Processed in 0.184339 second(s), 31 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表